Subject: Re: dcache BUG()

From: Dan Malek <[email-masked]>
Date: Thu, 10 May 2001 17:26:36 -0400

Brian Kuschak wrote:

> ....  I cannot find any code which does a regular store to the
> d_count variables.  All writes to these counters appear to use the atomic
> ops.

Yeah, but there are "atomic" ops/functions/macros that underneath
can do simple read/writes without using the PowerPC reservation
instructions (because they haven't been needed on other processors).

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/